Skip to main content
POST
/
management
/
clients
/
{clientId}
/
banks
/
spei
curl -X POST "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/banks/spei" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "bank_name": "BBVA Bancomer",
    "account_alias": "Primary SPEI Account",
    "bank_holder_name": "Juan Carlos Rodriguez",
    "account_number": "012180001234567897",
    "address": {
      "streetLine1": "Av. Insurgentes Sur 1602",
      "city": "Ciudad de México",
      "postal_code": "03940",
      "country": "MX"
    }
  }'
{
  "id": "ba_def456",
  "client_id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "bank_name": "BBVA Bancomer",
  "bank_holder_name": "Juan Carlos Rodriguez",
  "type": "SPEI",
  "currency": "MXN",
  "clabe": "012180001234567897"
}
Creates a new Mexican SPEI bank account for the specified client. Requires an API key with access level 3 or higher.

Path parameters

clientId
string
required
Unique identifier of the client.

Body

bank_name
string
Name of the bank.
account_alias
string
User-friendly alias for the account.
bank_holder_name
string
Account holder’s full name.
account_number
string
CLABE number (18 digits).
address
object
Account holder’s address.

Response

See Create US bank account for the full field list. SPEI accounts expose the CLABE as clabe.
curl -X POST "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/banks/spei" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "bank_name": "BBVA Bancomer",
    "account_alias": "Primary SPEI Account",
    "bank_holder_name": "Juan Carlos Rodriguez",
    "account_number": "012180001234567897",
    "address": {
      "streetLine1": "Av. Insurgentes Sur 1602",
      "city": "Ciudad de México",
      "postal_code": "03940",
      "country": "MX"
    }
  }'
{
  "id": "ba_def456",
  "client_id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "bank_name": "BBVA Bancomer",
  "bank_holder_name": "Juan Carlos Rodriguez",
  "type": "SPEI",
  "currency": "MXN",
  "clabe": "012180001234567897"
}